.card{
    @apply bg-white rounded-3xl md:rounded-2xl overflow-hidden relative h-full
}

.card{
    &__name{
        @apply text-xl xl:text-lg font-bold
    }
    &__address{
        @apply text-xl xl:text-base truncate
    }
    &__icon_heart{
        @apply w-7 h-5 fill-current hover:text-primary-orange z-10
    }
    &__info{
        @apply text-left grid grid-cols-2 sm:grid-cols-3 md:grid-cols-2 mt-3
    }
    &__pre_focus{
        @apply rounded-t-3xl md:rounded-t-2xl
    }
    &__content{
        @apply px-4 sm:px-6 py-6 h-full
    }

}

.card__content{
    &__price{
        @apply text-xl md:text-lg
    }
}

.card__content_head{
    @apply flex justify-between
}

.card__content_head{
    &__text{
        @apply flex-1 min-w-0
    }
    &__icon{
        @apply flex flex-col text-center relative
    }
}

.card__content_head{
    &__icon{
        > div{
            @apply p-1 md:p-0.5
        }
    }
}

.card__icon_detail{
    @apply
    flex
    flex-row
    items-center
    mt-2 text-base md:text-xs
}

.card__icon_detail{
    &__bed{
        @extend .card__icon_detail;
    }
    &__bathroom{
        @extend .card__icon_detail;
    }
    &__sqm{
        @extend .card__icon_detail;
    }
    &__condo{
        @extend .card__icon_detail;
    }
    &__train{
        @extend .card__icon_detail;
        @apply col-span-full sm:col-span-2 md:col-span-full
    }

}

.card__icon_svg{
    height: 0.9rem;
    margin-right: 0.5rem;
    @apply w-4
}

.card__pre_forcus{
    @apply relative
}

.slider--absolute{
    @apply absolute top-0 w-full
}

.arrow{
    @apply absolute top-0
    w-12 h-full
    z-10
    bg-black bg-opacity-50
    cursor-pointer
    transition transition-opacity transition-colors duration-500
}

.arrow{
    &--left{
        @extend .arrow;
        @apply left-0 rounded-tl-xl
    }
    &--right{
        @extend .arrow;
        @apply right-0 rounded-tr-xl
    }
    &__svg{
        @apply w-3 h-5
        fill-current text-white
    }
}

.slider{
    &__dots{
        @apply absolute left-1/2 bottom-3.5 transform -translate-x-1/2
    }
    &__item_dots{
        @apply grid grid-flow-col gap-1
    }
    &__custom{
        @apply w-3 h-1
        rounded bg-white
    }
}

.like{
    @apply block
}

.id_box{
    @apply absolute flex w-full top-4
}

.id_box{
    > div{
        @apply z-2 mx-auto px-4 py-0.5 rounded bg-secondary-darkwhite shadow
    }
}

.id_box{
    > div{
        span{
            @apply text-primary-gray
        }
    }
}

.active{
    @apply bottom-0 z-30 absolute flex items-center justify-center w-full pb-6
}

.active{
    p{
        @apply text-xl xl:text-lg font-bold
    }
}

.active_overlay{
    @apply absolute w-full h-full top-0 bg-card-overlay
}

.listing_price{
    @apply flex flex-col 
}